Debian Bug report logs - #462482
haskell-devscripts: CDBS rule file for haskell libraries

version graph

Package: haskell-devscripts; Maintainer for haskell-devscripts is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for haskell-devscripts is src:haskell-devscripts.

Reported by: Kari Pahula <kaol@debian.org>

Date: Fri, 25 Jan 2008 07:06:01 UTC

Severity: wishlist

Found in version haskell-devscripts/0.6.6

Fixed in version haskell-devscripts/0.6.15+nmu1

Done: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#462482; Package haskell-devscripts. Full text and rfc822 format available.

Acknowledgement sent to Kari Pahula <kaol@debian.org>:
New Bug report received and forwarded. Copy sent to Arjan Oosting <arjan@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: haskell-devscripts: CDBS rule file for haskell libraries
Date: Fri, 25 Jan 2008 09:02:22 +0200
[Message part 1 (text/plain, inline)]
Package: haskell-devscripts
Version: 0.6.6
Severity: wishlist

Tags: patch

Please include the attached hlibrary.mk file and install it in
/usr/share/cdbs/1/class/.

The man page should also have a mention using
include /usr/share/cdbs/1/class/hlibrary.mk
as an alternative to using dh_haskell.

Having haskell-devscripts Suggest or even Recommend cdbs wouldn't
hurt, either.

I would still like to get more feedback about using this CDBS makefile
class, but I think it's ready for wider use already.
[hlibrary.mk (text/x-c++, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#462482; Package haskell-devscripts. (Wed, 08 Oct 2008 08:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kari Pahula <kaol@debian.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Wed, 08 Oct 2008 08:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 462482@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 462482@bugs.debian.org
Subject: darcs repository for hlibrary.mk
Date: Wed, 8 Oct 2008 11:41:46 +0300
FYI, I'm keeping the newest version of my CDBS rule file in
http://people.debian.org/~kaol/repos/hlibrary/

With your permission, I would like to step in as a comaintainer for
haskell-devscripts and include hlibrary.mk in it and take care of that
part.  Another possible home for it would be in the cdbs package
itself, but I feel that hlibrary.mk may be more tightly bound to
haskell-devscripts instead.  It's too small to really justify having
it in a package of its own.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#462482; Package haskell-devscripts. (Sun, 12 Oct 2008 22:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjan@debian.org>:
Extra info received and forwarded to list. (Sun, 12 Oct 2008 22:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 462482@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjan@debian.org>
To: Kari Pahula <kaol@debian.org>, 462482@bugs.debian.org
Subject: Re: Bug#462482: darcs repository for hlibrary.mk
Date: Mon, 13 Oct 2008 00:40:10 +0200
[Message part 1 (text/plain, inline)]
Hi Kari,

Op woensdag 08-10-2008 om 11:41 uur [tijdzone +0300], schreef Kari
Pahula:
> FYI, I'm keeping the newest version of my CDBS rule file in
> http://people.debian.org/~kaol/repos/hlibrary/
> 
> With your permission, I would like to step in as a comaintainer for
> haskell-devscripts and include hlibrary.mk in it and take care of that
> part.  Another possible home for it would be in the cdbs package
> itself, but I feel that hlibrary.mk may be more tightly bound to
> haskell-devscripts instead.  It's too small to really justify having
> it in a package of its own.

Thanks for the interest in haskell-devscripts. It would be nice to
have a CDBS rule for Haskell libraries. The CDBS rule file you 
provided is a good start but it duplicates a lot of the logic from
the various dh_haskell_ programs in haskell-devscripts. 

I would like to replace the replicated logic with the corresponding
dh_haskell_ calls before including this CDBS rule file in
haskell-devscripts.

Do you have an example package which uses this rule file?

Greetings Arjan Oosting
[signature.asc (application/pgp-signature, inline)]

Reply sent to Marco Túlio Gontijo e Silva <marcot@holoscopio.com>:
You have taken responsibility. (Thu, 19 Feb 2009 19:45:07 GMT) Full text and rfc822 format available.

Notification sent to Kari Pahula <kaol@debian.org>:
Bug acknowledged by developer. (Thu, 19 Feb 2009 19:45:07 GMT) Full text and rfc822 format available.

Message #20 received at 462482-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
To: 462482-close@bugs.debian.org
Subject: Bug#462482: fixed in haskell-devscripts 0.6.15+nmu1
Date: Thu, 19 Feb 2009 19:32:03 +0000
Source: haskell-devscripts
Source-Version: 0.6.15+nmu1

We believe that the bug you reported is fixed in the latest version of
haskell-devscripts, which is due to be installed in the Debian FTP archive:

haskell-devscripts_0.6.15+nmu1.dsc
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu1.dsc
haskell-devscripts_0.6.15+nmu1.tar.gz
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu1.tar.gz
haskell-devscripts_0.6.15+nmu1_all.deb
  to pool/main/h/haskell-devscripts/haskell-devscripts_0.6.15+nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@holoscopio.com> (supplier of updated haskell-devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Feb 2009 13:12:27 -0200
Source: haskell-devscripts
Binary: haskell-devscripts
Architecture: source all
Version: 0.6.15+nmu1
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjan@debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@holoscopio.com>
Description: 
 haskell-devscripts - Tools to help Debian developers build Haskell packages
Closes: 455049 462482 502937 511857 512554 512555 513397 514129
Changes: 
 haskell-devscripts (0.6.15+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add a manpage for each command.  Closes: #512554.
   * Include hlibrary.mk (CDBS class).  Closes: #462482.
   * Include dh addon.
   * Use debhelper 7.
   * Remove references to Arjan home.
   * Include dh_haskell_clean.
   * dh_haskell.pod:
     - Don't reference to cabalDebianTemplate.  Thanks to Jeremy Shaw
       <jeremy@n-heptane.com>.  Closes: #514129.
     - Document dh_haskell_depends on how-to.  Thanks to Chris Lamb
       <lamby@debian.org>. Closes: #502937.
   * dh_haskell_configure:
     - Use --extra-include-dirs to add Hugs includes not considered by
       hsc2hs.  Thanks to John Goerzen <jgoerzen@complete.org>.
       Closes: #513397.
     - Disable ghci when building for profiling.
   * Dh_Haskell.pm:
     - use more relaxed rule for haddock.  Thanks to John Goerzen
       <jgoerzen@complete.org>.  Closes: #512555.
     - Support for more than one version of a ghc-pkg package.
     - Do not consider user packages.
   * postinst-ghc: Do not generate GHCi libraries in postinst.  Packages
     should include them.  Thanks to Kummar Apaiah <akumar@ee.iitm.ac.in>
     and Arjan Oosting <arjan@debian.org>.  Closes: #455049.
   * dh_haskell_prep: Uses + instead of -999 on dependencies.  Thanks to
     Kari Pahula <kaol@debian.org>.  Closes: #511857.
   * docs/: Remove empty docs dir.
   * debian/control: Include ${misc:Depends}.
   * debian/install: Use debian/install instead of
     debian/haskell-devscripts.install
   * debian/copyright: Reference GPL-2 and GPL-3 instead of GPL.
   * debian/docs: Remove empty docs file.
Checksums-Sha1: 
 0e5ff212742aee66a04fd3dac4613acec521a4a9 1010 haskell-devscripts_0.6.15+nmu1.dsc
 67313a4cd9d093df8e56cdbebb6536be0d49921b 97250 haskell-devscripts_0.6.15+nmu1.tar.gz
 4347d560ffddbda62735fd6598b59040b407ed7f 35874 haskell-devscripts_0.6.15+nmu1_all.deb
Checksums-Sha256: 
 6e9593caf25f99098843e331b59b4a28ad8182b194fce1283872dc7579396425 1010 haskell-devscripts_0.6.15+nmu1.dsc
 b28a77945a63f43a27cf774fce7d97b285f46dc5fea759d3a2d72bb10eee611d 97250 haskell-devscripts_0.6.15+nmu1.tar.gz
 b968ec07e88afa8ec911702c9de09e370a039186fba8ca105d9986904fe0c7af 35874 haskell-devscripts_0.6.15+nmu1_all.deb
Files: 
 9378f662f552b2a04dada3a03d941d6e 1010 devel optional haskell-devscripts_0.6.15+nmu1.dsc
 b80af175dda05f8a4d773416672e064e 97250 devel optional haskell-devscripts_0.6.15+nmu1.tar.gz
 7daeb8352f89e05e76d58225ee12e904 35874 devel optional haskell-devscripts_0.6.15+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmdrfkACgkQ9ijrk0dDIGz1LwCgno5ydj8G4jOVTzTcTPha2uCC
kqAAoJ2rc8jQ25H/pC9uZ053s5K9CNQQ
=OgOO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Mar 2009 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:15:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.